#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct PasswordCredentials {
    #[builder(into)]
    #[serde(rename = "username")]
    username: String,
    #[serde(rename = "passwordSecretRid")]
    password_secret_rid: super::SecretRid,
}
impl PasswordCredentials {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        username: impl Into<String>,
        password_secret_rid: super::SecretRid,
    ) -> Self {
        Self::builder()
            .username(username)
            .password_secret_rid(password_secret_rid)
            .build()
    }
    #[inline]
    pub fn username(&self) -> &str {
        &*self.username
    }
    /// Secret Rid of password secret stored in Secrets Service.
    #[inline]
    pub fn password_secret_rid(&self) -> &super::SecretRid {
        &self.password_secret_rid
    }
}
